{% extends 'base.html.twig' %}

{% block title %}Hello CategoryController!
{% endblock %}

{% block body %}

	<div class="col-12">
		<a href="{{ path('app_category_new') }}" class="btn btn-success">Ajouter categorie</a>
		<div class="card">
			<div class="card-header">
				<h3 class="card-title">Liste des categories</h3>

				<div class="card-tools">
					<div class="input-group input-group-sm" style="width: 150px;">
						<input type="text" name="table_search" class="form-control float-right" placeholder="Search">

						<div class="input-group-append">
							<button type="submit" class="btn btn-default">
								<i class="fas fa-search"></i>
							</button>
						</div>
					</div>
				</div>
			</div>
			<!-- /.card-header -->
			<div class="card-body table-responsive p-0">
				<table class="table table-hover">
					<thead>
						<tr>
							<th>#</th>
							<th>ID</th>
							<th>Categorie</th>
							<th>Description</th>
							<th>Action</th>
						</tr>
					</thead>
					<tbody>
						{% for item in categories %}
							<tr>
								<td>{{ loop.index }}</td>
								<td>{{ item.id }}</td>
								<td>{{ item.name }}</td>
								<td>{{ item.description }}</td>

								<td>
									<a href="{{ path('edit_category', {'id': item.id}) }}" class="btn btn-primary">Edit</a>
								</td>
							</tr>

						{% endfor %}

					</tbody>
				</table>
			</div>
			<!-- /.card-body -->
		</div>
		<!-- /.card -->
	</div>
{% endblock %}
